Bug 241345 - multimedia/py-soco: Update to 0.18.1
Summary: multimedia/py-soco: Update to 0.18.1
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Kai Knoblich
URL: https://github.com/SoCo/SoCo/compare/...
Keywords:
Depends on:
Blocks:
 
Reported: 2019-10-19 19:30 UTC by Conall O'Brien
Modified: 2019-11-04 07:34 UTC (History)
2 users (show)

See Also:
kai: maintainer-feedback+


Attachments
svnlite generated patch file (1005 bytes, patch)
2019-10-19 19:30 UTC, Conall O'Brien
conall: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Conall O'Brien 2019-10-19 19:30:03 UTC
Created attachment 208426 [details]
svnlite generated patch file

Upstream release
Comment 1 Kubilay Kocak freebsd_committer freebsd_triage 2019-10-20 07:55:14 UTC
Thank you Conall.

Please use the attachment maintainer-approval flag (set to +) to signify maintainer approval on patches for ports you maintain

Attachment -> Details -> maintainer-approval [+]

This can also be set during attachment upload
Comment 2 Kai Knoblich freebsd_committer 2019-11-03 12:06:00 UTC
(In reply to Conall O'Brien from comment #0)

Hi Conall,

thank you for the patch. There's an small bugfix release 0.18.1 available, would it be ok for you to commit this version instead 0.18?

If it's ok for you, then I'll update the patch my local repository accordingly.
Comment 3 Conall O'Brien 2019-11-03 12:44:41 UTC
v18.1 was released 2 days after I had opened this bug patch to update to v18.


I've no problem repurposing this bug to update to v18.1 and letting you generate the new patch. After I update the version in the Makefile, I use "make makesum" to generate the complete contents for a patch
Comment 4 commit-hook freebsd_committer 2019-11-04 07:14:32 UTC
A commit references this bug:

Author: kai
Date: Mon Nov  4 07:14:23 UTC 2019
New revision: 516615
URL: https://svnweb.freebsd.org/changeset/ports/516615

Log:
  multimedia/py-soco: Update to 0.18.1

  * Add a "do-test" target to make future QA easier while I'm here.

  Changelog:

  https://github.com/SoCo/SoCo/releases/tag/v0.18
  https://github.com/SoCo/SoCo/compare/v0.18...v0.18.1

  PR:		241345
  Submitted by:	Conall O'Brien <conall@conall.net> (maintainer)

Changes:
  head/multimedia/py-soco/Makefile
  head/multimedia/py-soco/distinfo
Comment 5 Kai Knoblich freebsd_committer 2019-11-04 07:34:57 UTC
(In reply to Conall O'Brien from comment #3)

Thank you for the info and approval, I updated the patch accordingly and committed the latest version of multimedia/py-soco!